"use strict";
const common_libraries_request = require("../common/libraries/request.js");
require("../common/store/useWeAppAuthStore.js");
require("../common/store/useWorkStore.js");
const Apis = {
  Activity: {
    Activities: {
      List(data) {
        return common_libraries_request.request("customer/activity/activities/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/activity/activities/show", { data });
      }
    },
    ActivityEnrolls: {
      List(data) {
        return common_libraries_request.request("customer/activity/activity_enrolls/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("customer/activity/activity_enrolls/store", { data });
      },
      GetCustomerEnroll(data) {
        return common_libraries_request.request("customer/activity/activity_enrolls/get_customer_enroll", { data });
      },
      Cancelled(data) {
        return common_libraries_request.request("customer/activity/activity_enrolls/cancelled", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/activity/activity_enrolls/show", { data });
      }
    }
  },
  Archive: {
    HouseOccupants: {
      List(data) {
        return common_libraries_request.request("customer/archive/house_occupants/list", { data });
      },
      GetCustomerHouseIsExist() {
        return common_libraries_request.request("customer/archive/house_occupants/get_customer_house_is_exist", {});
      },
      UpdateSelectedHouse(data) {
        return common_libraries_request.request("customer/archive/house_occupants/update_selected_house", { data });
      },
      GetHouseOccupants(data) {
        return common_libraries_request.request("customer/archive/house_occupants/get_house_occupants", { data });
      },
      GetOwner(data) {
        return common_libraries_request.request("customer/archive/house_occupants/get_owner", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/archive/house_occupants/show", { data });
      },
      DeleteOccupant(data) {
        return common_libraries_request.request("customer/archive/house_occupants/delete_occupant", { data });
      },
      Unbind(data) {
        return common_libraries_request.request("customer/archive/house_occupants/unbind", { data });
      }
    },
    HouseRegisters: {
      List(data) {
        return common_libraries_request.request("customer/archive/house_registers/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("customer/archive/house_registers/store", { data });
      },
      Update(data) {
        return common_libraries_request.request("customer/archive/house_registers/update", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/archive/house_registers/show", { data });
      },
      OwnerAuditList(data) {
        return common_libraries_request.request("customer/archive/house_registers/owner_audit_list", { data });
      },
      GetOwnerIsAudit() {
        return common_libraries_request.request("customer/archive/house_registers/get_owner_is_audit", {});
      },
      Audit(data) {
        return common_libraries_request.request("customer/archive/house_registers/audit", { data });
      }
    }
  },
  Asset: {
    AssetHouses: {
      SelectProject(data) {
        return common_libraries_request.request("customer/asset/asset_houses/select_project", { data });
      },
      SelectProjectByLocation(data) {
        return common_libraries_request.request("customer/asset/asset_houses/select_project_by_location", { data });
      },
      SelectBuilding(data) {
        return common_libraries_request.request("customer/asset/asset_houses/select_building", { data });
      },
      SelectUnit(data) {
        return common_libraries_request.request("customer/asset/asset_houses/select_unit", { data });
      },
      SelectHouse(data) {
        return common_libraries_request.request("customer/asset/asset_houses/select_house", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/asset/asset_houses/show", { data });
      }
    },
    AssetProjects: {
      GetProjectPropertyBrand(data) {
        return common_libraries_request.request("customer/asset/asset_projects/get_project_property_brand", { data });
      }
    }
  },
  Banner: {
    BannerSpaces: {
      List(data) {
        return common_libraries_request.request("customer/banner/banner_spaces/list", { data });
      }
    }
  },
  Bill: {
    HouseBills: {
      List(data) {
        return common_libraries_request.request("customer/bill/house_bills/list", { data });
      },
      MyBillYearList(data) {
        return common_libraries_request.request("customer/bill/house_bills/my_bill_year_list", { data });
      },
      MyBillList(data) {
        return common_libraries_request.request("customer/bill/house_bills/my_bill_list", { data });
      },
      GetCountBills(data) {
        return common_libraries_request.request("customer/bill/house_bills/get_count_bills", { data });
      }
    }
  },
  Common: {
    ConvenienceServices: {
      List(data) {
        return common_libraries_request.request("customer/common/convenience_services/list", { data });
      }
    }
  },
  Customer: {
    CustomerBacklogs: {
      List(data) {
        return common_libraries_request.request("customer/customer/customer_backlogs/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/customer/customer_backlogs/show", { data });
      }
    },
    CustomerConsults: {
      List(data) {
        return common_libraries_request.request("customer/customer/customer_consults/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("customer/customer/customer_consults/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/customer/customer_consults/show", { data });
      }
    },
    CustomerOpinions: {
      Store(data) {
        return common_libraries_request.request("customer/customer/customer_opinions/store", { data });
      }
    },
    Customers: {
      GetCountHouse() {
        return common_libraries_request.request("customer/customer/customers/get_count_house", {});
      }
    }
  },
  GoodsReleases: {
    GoodsReleases: {
      Store(data) {
        return common_libraries_request.request("customer/goods_releases/goods_releases/store", { data });
      },
      MyList(data) {
        return common_libraries_request.request("customer/goods_releases/goods_releases/my_list", { data });
      },
      Cancel(data) {
        return common_libraries_request.request("customer/goods_releases/goods_releases/cancel", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/goods_releases/goods_releases/show", { data });
      },
      GoodsQrCode(data) {
        return common_libraries_request.request("customer/goods_releases/goods_releases/goods_qr_code", { data });
      }
    }
  },
  Grid: {
    Grids: {
      GetHousekeeper(data) {
        return common_libraries_request.request("customer/grid/grids/get_housekeeper", { data });
      }
    }
  },
  HouseOrder: {
    HouseOrders: {
      List(data) {
        return common_libraries_request.request("customer/house_order/house_orders/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("customer/house_order/house_orders/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/house_order/house_orders/show", { data });
      },
      Payment(data) {
        return common_libraries_request.request("customer/house_order/house_orders/payment", { data });
      },
      HouseOrderNotify() {
        return common_libraries_request.request("customer/house_order/house_orders/house_order_notify", {});
      }
    },
    HousePrepaymentLogs: {
      List(data) {
        return common_libraries_request.request("customer/house_order/house_prepayment_logs/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/house_order/house_prepayment_logs/show", { data });
      }
    },
    HousePrepayments: {
      List(data) {
        return common_libraries_request.request("customer/house_order/house_prepayments/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/house_order/house_prepayments/show", { data });
      },
      Payment(data) {
        return common_libraries_request.request("customer/house_order/house_prepayments/payment", { data });
      },
      GetPayments(data) {
        return common_libraries_request.request("customer/house_order/house_prepayments/get_payments", { data });
      },
      HousePrepaymentNotify() {
        return common_libraries_request.request("customer/house_order/house_prepayments/house_prepayment_notify", {});
      }
    }
  },
  Login: {
    Auth: {
      Login(data) {
        return common_libraries_request.request("customer/login/auth/login", { data });
      },
      Register(data) {
        return common_libraries_request.request("customer/login/auth/register", { data });
      },
      Logout() {
        return common_libraries_request.request("customer/login/auth/logout", {});
      },
      Me() {
        return common_libraries_request.request("customer/login/auth/me", {});
      },
      ChangeName(data) {
        return common_libraries_request.request("customer/login/auth/change_name", { data });
      },
      BindPhoneNumber(data) {
        return common_libraries_request.request("customer/login/auth/bind_phone_number", { data });
      },
      SendValidateSms(data) {
        return common_libraries_request.request("customer/login/auth/send_validate_sms", { data });
      },
      GetAccessToken(data) {
        return common_libraries_request.request("customer/login/auth/get_access_token", { data });
      },
      PreUpload(data) {
        return common_libraries_request.request("customer/login/auth/pre_upload", { data });
      },
      TemporaryUrl(data) {
        return common_libraries_request.request("customer/login/auth/temporary_url", { data });
      }
    }
  },
  Msg: {
    MsgPropertyAnnouncements: {
      List(data) {
        return common_libraries_request.request("customer/msg/msg_property_announcements/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/msg/msg_property_announcements/show", { data });
      },
      CountMsg() {
        return common_libraries_request.request("customer/msg/msg_property_announcements/count_msg", {});
      }
    }
  },
  Visitor: {
    VisitorApplies: {
      Invite(data) {
        return common_libraries_request.request("customer/visitor/visitor_applies/invite", { data });
      },
      Register(data) {
        return common_libraries_request.request("customer/visitor/visitor_applies/register", { data });
      },
      Applies(data) {
        return common_libraries_request.request("customer/visitor/visitor_applies/applies", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/visitor/visitor_applies/show", { data });
      },
      Codes() {
        return common_libraries_request.request("customer/visitor/visitor_applies/codes", {});
      },
      Review(data) {
        return common_libraries_request.request("customer/visitor/visitor_applies/review", { data });
      },
      VisitorQrCode(data) {
        return common_libraries_request.request("customer/visitor/visitor_applies/visitor_qr_code", { data });
      }
    }
  },
  WechatWork: {
    Notification: {
      WechatWorkNotify() {
        return common_libraries_request.request("customer/wechat_work/notification/wechat_work_notify", {});
      },
      ThirdAppNotify() {
        return common_libraries_request.request("customer/wechat_work/notification/third_app_notify", {});
      }
    }
  },
  WorkOrder: {
    HouseWorkLogs: {
      List(data) {
        return common_libraries_request.request("customer/work_order/house_work_logs/list", { data });
      }
    },
    HouseWorkOrders: {
      List(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/show", { data });
      },
      Close(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/close", { data });
      },
      ChangeExpectTime(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/change_expect_time", { data });
      },
      Accept(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/accept", { data });
      },
      Evaluation(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/evaluation", { data });
      },
      Rework(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/rework", { data });
      },
      WorkOrderPayment(data) {
        return common_libraries_request.request("customer/work_order/house_work_orders/work_order_payment", { data });
      }
    }
  }
};
exports.Apis = Apis;
